Doomsday Engine - Bug #1644

[HeXen beta demo] Should have Heretic crush behaviour
Category: Vanilla emulation

Target version: Vanilla / Gameplay

Description

Not the most technical subject heading.

In the HeXen beta demo, mobj corpses crushed by a crusher aren't turned into a gib mobj like HeXen final. Rather nothing happens
to the mobj, as in Heretic. The gib sprite in HeXen final, isn't even in the beta demo lwad.

Dday doesn't imitate this and thus crushed mobjs appear to simply vanish as Dday set's their state to the mobj state used by HeXen
final, but without the afore mentioned sprite, they are invisible (as Dday can tolerate missing sprites, it doesn't cause a crash or
anything).

Not that | refer to the beta demo and not the second demo; in that mobj corpses are crushed like HeXen final and the sprite exists in
its lwad.

History

#1 - 2013-10-29 13:43 - skyjake
- Tags changed from hexenbetademo, behaviour to PlaySim, Hexen
- Subject changed from HeXen beta demo has Heretic crush behaviour to [HeXen beta demo] Should have Heretic crush behaviour

- Priority changed from Normal to Lowest

I'm lowering the priority to our lowest rating because:

® the number of people using the beta demo must be quite small; the non-beta demo is available
e this is quite a small detail and sounds like a bug in the demo which subsequently got fixed by Raven Software

#2 - 2013-10-29 14:02 - vermil

- Tags changed from PlaySim, Hexen to PlaySim, hexen

If the sprite for crushed mobjs was in the beta version Iwad and if Heretic hadn't removed the feature from Doom (remember HeXen was based off
and planned to be an expansion/sequel to Heretic), | might agree with you that it was a mistake on Raven's part (though | would still personally
suggest Dday emulate the 'bugged' behaviour in this case any way).

But as the sprite it ‘self also isn't in the beta lwad, | would claim it as a change late in development; let's not forget how much was changed between
the Doom press release and the final release (i.e the BFG behaviour was changed, the fireball graphics changed, the original Lost Soul was replaced
etc etc).

If Dday ever supported the press release of Doom, users would expect all the above.

Similarly, I am assuming the HeXen demo's have their own name in the source code (i.e JDoom, Jheretic, JHeXen, JDoom64 etc) and | know that the

code for crushing mobjs in all games is handled by one block of code with if statements for each game and hence that this could piggy back off the
same line of code used by Heretic in Dday.

#3 - 2013-10-29 16:23 - skyjake

| hear you, and agree that this should be fixed in the name of emulation correctness when it comes to the Hexen beta demo.

However, when contrasting this with other issues in the tracker, the priority level comes out very low. ("Ignore" doesn't mean "never to be
implemented", but rather "lower than 'Low' so focus on other things first").

#4 - 2013-10-29 16:40 - vermil

| see. In the past, I've interpreted 'ignore' as literally that :)
#5 - 2013-10-29 18:34 - skyjake

vermil wrote:

| see. In the past, I've interpreted 'ignore' as literally that :)

You're right, it can be misunderstood... | renamed the priority level to "Lowest" to be clearer.

#6 - 2017-04-03 14:40 - skyjake

- Target version set to Modding

#7 - 2017-04-03 18:34 - skyjake

- Target version changed from Modding to Vanilla / Gameplay
